Update an MCP server
curl --request PATCH \
--url https://charts.basedash.com/api/public/organizations/{orgId}/mcp-servers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"serverUrl": "<string>",
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"tools": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://charts.basedash.com/api/public/organizations/{orgId}/mcp-servers/{id}"
payload = {
"displayName": "<string>",
"serverUrl": "<string>",
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"tools": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
serverUrl: '<string>',
headers: [{key: '<string>', value: '<string>'}],
tools: [{id: '<string>'}]
})
};
fetch('https://charts.basedash.com/api/public/organizations/{orgId}/mcp-servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"displayName": "<string>",
"serverUrl": "<string>",
"serverLabel": "<string>",
"lastSyncStatus": "PENDING",
"lastSyncAttemptAt": "2023-11-07T05:31:56Z",
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
"hasCompletedFirstSync": true,
"syncErrorMessage": "<string>",
"tools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"readOnlyHint": true,
"foundInServer": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}MCP servers
Update an MCP server
Updates an MCP server display name, URL, static headers, or synced tool access modes. Requires admin access to the organization.
PATCH
/
api
/
public
/
organizations
/
{orgId}
/
mcp-servers
/
{id}
Update an MCP server
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Body
application/json
Display name for the MCP server
Required string length:
1 - 120MCP server URL
Required string length:
1 - 2000Static headers to use when connecting to the MCP server
Show child attributes
Show child attributes
Tool access modes to update for this MCP server
Minimum array length:
1Show child attributes
Show child attributes
Response
MCP server updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I